import { handleResult } from '@/lib/http/handle-result';
import { listSports } from '@/modules/sport/services/sport.service';
import type { AppContext } from '@/types/hono';

export async function listSportsHandler(c: AppContext) {
  const sports = await listSports();
  return handleResult(c, sports);
}
